summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Jay Lanagan2024-01-12 06:22:11 +0100
committer Willy Sudiarto Raharjo2024-01-12 06:29:41 +0100
commit43cffb62c406ef2b332fea73c18cdb076c2e0db7 (patch)
tree6f38c7fd65d034e6cc6c7e21da91cb317ecab4f6 /misc
parent95f9028fa5aa1d46d64b28e7304f3aff6c70af4b (diff)
downloadslackbuilds-43cffb62c406ef2b332fea73c18cdb076c2e0db7.tar.gz
misc/cliphist: Added (wayland-based clipboard).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/cliphist/README9
-rw-r--r--misc/cliphist/cliphist.SlackBuild103
-rw-r--r--misc/cliphist/cliphist.info12
-rw-r--r--misc/cliphist/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/misc/cliphist/README b/misc/cliphist/README
new file mode 100644
index 0000000000..6ba0b28388
--- /dev/null
+++ b/misc/cliphist/README
@@ -0,0 +1,9 @@
+cliphist (wayland clipboard manager)
+
+clipboard history “manager” for wayland. Features: Write clipboard
+changes to a history file, recall history with dmenu / rofi / wofi
+(or whatever other picker you like), both text and images are
+supported, clipboard is preserved byte-for-byte, leading / trailing
+whitespace / no whitespace or newlines are preserved, won’t break
+fancy editor selections like vim wordwise, linewise, block mode, no
+concept of a picker, only pipes.
diff --git a/misc/cliphist/cliphist.SlackBuild b/misc/cliphist/cliphist.SlackBuild
new file mode 100644
index 0000000000..166d181626
--- /dev/null
+++ b/misc/cliphist/cliphist.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for cliphist
+
+# Copyright 2024 Jay Lanagan (j@lngn.net), Detroit, MI, USA.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=cliphist
+VERSION=${VERSION:-0.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-vendor-$VERSION.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CGO_CFLAGS="$SLKCFLAGS" \
+CGO_CXXFLAGS="$SLKCFLAGS" \
+go build -mod vendor -o bin/$PRGNAM *.go
+
+install -Dm755 -t $PKG/usr/bin $TMP/$PRGNAM-$VERSION/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md LICENSE readme.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/misc/cliphist/cliphist.info b/misc/cliphist/cliphist.info
new file mode 100644
index 0000000000..6455a29007
--- /dev/null
+++ b/misc/cliphist/cliphist.info
@@ -0,0 +1,12 @@
+PRGNAM="cliphist"
+VERSION="0.4.0"
+HOMEPAGE="https://github.com/sentriz/cliphist"
+DOWNLOAD="https://github.com/sentriz/cliphist/archive/v0.4.0/cliphist-0.4.0.tar.gz \
+ https://slackware.lngn.net/pub/source/cliphist/cliphist-vendor-0.4.0.tar.gz"
+MD5SUM="c320261f822158a9e9d32c3c2b77d5d9 \
+ c7b78ac0a63f3a9e009d8bf78cb40b3a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang wl-clipboard"
+MAINTAINER="Jay Lanagan"
+EMAIL="j@lngn.net"
diff --git a/misc/cliphist/slack-desc b/misc/cliphist/slack-desc
new file mode 100644
index 0000000000..59f29762fd
--- /dev/null
+++ b/misc/cliphist/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cliphist: cliphist (wayland clipboard manager)
+cliphist:
+cliphist: clipboard history manager for wayland. Features: Write clipboard
+cliphist: changes to a history file, recall history with dmenu / rofi / wofi
+cliphist: (or whatever other picker you like), both text and images are
+cliphist: supported, clipboard is preserved byte-for-byte, leading / trailing
+cliphist: whitespace / no whitespace or newlines are preserved, won't break
+cliphist: fancy editor selections like vim wordwise, linewise, block mode, no
+cliphist: concept of a picker, only pipes.
+cliphist:
+cliphist: Homepage: https://github.com/sentriz/cliphist/